create table LJE_CONSULTANTS
( id       number(5) not null primary key
, name     varchar2(200) not null
, practice varchar2(20)
)
/

create table LJE_ALLOCATIONS
( id          number(5) not null primary key
, cst_id      number(5) not null
, start_date  date not null 
, end_date    date
, description varchar2(200) not null
, allo_type   varchar2(25)
)
/

insert into LJE_CONSULTANTS (id, name, practice) values (1,'Henk de Vries','DEV');
insert into LJE_CONSULTANTS (id, name, practice) values (2,'Bianca Rouwers','BCO');
insert into LJE_CONSULTANTS (id, name, practice) values (3,'Jeanne Meerveld','DEV');
insert into LJE_CONSULTANTS (id, name, practice) values (4,'Joop Draaiersma','ABC');
insert into LJE_CONSULTANTS (id, name, practice) values (5,'Michiel Versteeg','DEV');

insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (1,1,to_date('10-01-2013','DD-MM-YYYY'),to_date('24-01-2013','DD-MM-YYYY'),'Wintersport','Vakantie');
insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (2,1,to_date('25-01-2013','DD-MM-YYYY'),to_date('01-02-2013','DD-MM-YYYY'),'Geen Bof','Ziekte');
insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (3,1,to_date('02-02-2013','DD-MM-YYYY'),to_date('01-06-2013','DD-MM-YYYY'),'GD','Billable');
insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (4,1,to_date('02-04-2013','DD-MM-YYYY'),to_date('01-05-2013','DD-MM-YYYY'),'TRT Delfland','Billable');
insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (5,2,to_date('01-02-2013','DD-MM-YYYY'),to_date('15-02-2013','DD-MM-YYYY'),'Bank','Bank');
insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (6,2,to_date('16-02-2013','DD-MM-YYYY'),to_date('28-02-2013','DD-MM-YYYY'),'ADF Elementals','Training');
insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (7,2,to_date('01-03-2013','DD-MM-YYYY'),to_date('01-08-2013','DD-MM-YYYY'),'Project X','Billable');

insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (8,3,to_date('01-01-2013','DD-MM-YYYY'),to_date('01-08-2013','DD-MM-YYYY'),'Project Y','Billable');
insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (9,3,to_date('10-02-2013','DD-MM-YYYY'),to_date('24-02-2013','DD-MM-YYYY'),'Hiken in Peru','Vakantie');


insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (10,4,to_date('01-02-2013','DD-MM-YYYY'),to_date('01-05-2013','DD-MM-YYYY'),'Project Y','Billable');
insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (12,4,to_date('01-04-2013','DD-MM-YYYY'),to_date('01-09-2013','DD-MM-YYYY'),'OeiVW','Billable');
insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (11,4,to_date('10-05-2013','DD-MM-YYYY'),to_date('15-05-2013','DD-MM-YYYY'),'Uitgesteld Carnaval','Vakantie');

insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (13,5,to_date('31-01-2013','DD-MM-YYYY'),to_date('03-02-2013','DD-MM-YYYY'),'Scrum Master Training','Training');
insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (14,5,to_date('04-02-2013','DD-MM-YYYY'),to_date('01-08-2013','DD-MM-YYYY'),'i-bridge','Billable');
insert into LJE_ALLOCATIONS (id, cst_id, start_date, end_date, description, allo_type) values (15,5,to_date('01-06-2013','DD-MM-YYYY'),to_date('15-06-2013','DD-MM-YYYY'),'Campertocht Schotland','Vakantie');

