package nl.amis.gantt.allocation.view;

import oracle.adf.view.faces.bi.component.gantt.TaskbarFormat;
import oracle.adf.view.faces.bi.component.gantt.TaskbarFormatManager;
import oracle.adf.view.faces.bi.component.gantt.UIGantt;

public class ConsultantsGanttBean {

    private UIGantt theGantt;

    public String[] getTooltipKeys() {
        return new String[] { "AlloType", "Description", "StartDate",
                              "EndDate" };
    }

    public String[] getTooltipKeyLabels() {
        return new String[] { "Allocation Type", "Description", "From",
                              "Until" };
    }

    public void setTheGantt(UIGantt theGantt) {
        this.theGantt = theGantt;
        createNewTask(theGantt.getTaskbarFormatManager(), "Vakantie");
        createNewTask(theGantt.getTaskbarFormatManager(), "Ziekte");
        createNewTask(theGantt.getTaskbarFormatManager(), "Bank");
        createNewTask(theGantt.getTaskbarFormatManager(), "Training");
    }

    public UIGantt getTheGantt() {
        return theGantt;
    }

    public static void createNewTask(TaskbarFormatManager taskbarFormatManager,
                                     String taskName) {
        TaskbarFormat taskbarFormat = null;
        if (taskName.equals("Vakantie")) {
            taskbarFormat = new TaskbarFormat(taskName, "#FF00FF", null, "#FF00FF",23);
        }
        else if (taskName.equals("Bank")) {
            taskbarFormat = new TaskbarFormat(taskName, "#FF0000", null, "#FF0000",23);
        }
        else if (taskName.equals("Ziekte")) {
            taskbarFormat = new TaskbarFormat(taskName, "#00FFFF", null, "#00FFFF",23);
        }
        else if (taskName.equals("Training")) {
            taskbarFormat = new TaskbarFormat(taskName, "#FFFF00", null, "#FFFF00",23);
        }
        else {
            //No need to do any things
        }
        taskbarFormatManager.registerTaskbarFormat(taskName, taskbarFormat);
    }
}
